//+------------------------------------------------------------------+
//|                                                    Bezubytok.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#include <WinUser32.mqh>
#property show_inputs
extern int MAGIC=0;
//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
int Spr= MarketInfo(Symbol(),MODE_SPREAD);
//------------   ---------------------------------------------------
double B2_B=0,B2_S=0,B2_LB=0,B2_LS=0,BSw=0,SSw=0,Prof=0;
      for(int b2=0;b2<OrdersTotal();b2++) //  
      {
      if(OrderSelect(b2,SELECT_BY_POS,MODE_TRADES)==false)    continue;
      if (OrderSymbol()==Symbol() && MAGIC!=0 && OrderMagicNumber()==MAGIC)
      {
           if (OrderType()==OP_BUY)
           {
           B2_B=((B2_B*B2_LB)+(OrderOpenPrice()*OrderLots()))/(B2_LB+OrderLots());
           B2_LB=NormalizeDouble(B2_LB+OrderLots(),2);
           BSw=BSw+OrderSwap();
           Prof=Prof+OrderProfit()+OrderSwap();
            }
                if (OrderType()==OP_SELL)
                {
           B2_S=((B2_S*B2_LS)+(OrderOpenPrice()*OrderLots()))/(B2_LS+OrderLots());
           B2_LS=NormalizeDouble(B2_LS+OrderLots(),2);
           SSw=SSw+OrderSwap();
           Prof=Prof+OrderProfit()+OrderSwap();
               }
            }}
      for(int b3=0;b3<OrdersTotal();b3++) //  
      {
      if(OrderSelect(b3,SELECT_BY_POS,MODE_TRADES)==false)    continue;
      if (OrderSymbol()==Symbol() && MAGIC==0 )
      {
           if (OrderType()==OP_BUY)
           {
           B2_B=((B2_B*B2_LB)+(OrderOpenPrice()*OrderLots()))/(B2_LB+OrderLots());
           B2_LB=NormalizeDouble(B2_LB+OrderLots(),2);
           BSw=BSw+OrderSwap();
           Prof=Prof+OrderProfit()+OrderSwap();
            }
                if (OrderType()==OP_SELL)
                {
           B2_S=((B2_S*B2_LS)+(OrderOpenPrice()*OrderLots()))/(B2_LS+OrderLots());
           B2_LS=NormalizeDouble(B2_LS+OrderLots(),2);
           SSw=SSw+OrderSwap();
           Prof=Prof+OrderProfit()+OrderSwap();
               }
            }}            
double M2B=0,M2S=0 ,M5;           
    if (B2_LB>B2_LS)   //  
{
for(int J2=0;J2<10000;J2++)
    {
    M2B=J2*B2_LB*10;
    M2S=((B2_B-B2_S+Spr*Point)/Point+J2)*(B2_LS*(-10));
    if (M2B+M2S+BSw+SSw>=0) 
        {
        M5=NormalizeDouble(B2_B+J2*Point,Digits);
        break;
        }}} 
if (B2_LS>B2_LB)  //   
{
for(int J3=0;J3<10000;J3++)
    {
    M2S=J3*B2_LS*10;
    M2B=((B2_B-B2_S+Spr*Point)/Point+J3)*(B2_LB*(-10));
    if (M2S+M2B+BSw+SSw>=0) 
        {
        M5=NormalizeDouble(B2_S-(J3+Spr)*Point,Digits);
        break;
        }}}
  string Message;      
       if (B2_LS==B2_LB && B2_LB!=0 ) Message="    "+DoubleToStr(B2_LS,2)+" "   ;
       else
       {           
       Message="    "+"\n"+"          "+DoubleToStr(M5,Digits)+
       "\n"+"   "+DoubleToStr((M5-Bid)/Point,0)+"   "+
       DoubleToStr(B2_LB-B2_LS,2)+" Lot"+"\n"+"   "+DoubleToStr(Prof,0);
       if (ObjectFind("BEZ")==0) ObjectDelete("BEZ");
       ObjectCreate("BEZ",OBJ_TREND,0,TimeCurrent()-7200,M5,TimeCurrent()+7200,M5);
       ObjectSet("BEZ",OBJPROP_RAY,false);
       ObjectSet("BEZ",OBJPROP_COLOR,Yellow);
       ObjectSet("BEZ",OBJPROP_WIDTH,3);
       }
 MessageBox(Message,Symbol(),MB_OK);                 
//----
   return(0);
  }
//+------------------------------------------------------------------+